// =====================================================================
//  $Id: TPopupLogoCommand.cc,v 1.4 2004/03/07 10:30:28 goiwai Exp $
//  $Name: CLDAQ-1-14-06 $
//  $Log: TPopupLogoCommand.cc,v $
//  Revision 1.4  2004/03/07 10:30:28  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.3  2003/10/06 17:02:37  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:17:31  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TPopupLogoCommand.hh"
#include "TRunManager.hh"

static const Tstring _name = "/option/popup";
static const Tstring _desc = "view a splash logo on the screen.";

TPopupLogoCommand::TPopupLogoCommand( TRunManager* manager )
  : TCommand( manager, _name, _desc )
{;}

TPopupLogoCommand::~TPopupLogoCommand()
{;}

Tvoid TPopupLogoCommand::Execute( const TstringList& arguments )
{
  theRunManager -> PopupLogo();
  return;
}

#ifdef __CLDAQ_ROOT_DLL
    ClassImp(TPopupLogoCommand)
#endif
